
/**
 * ChromeWorker for parseICSAsync method in calICSService.js
 */

var NS_OK = 0;
var NS_ERROR_FAILURE = 2147500037;

importScripts("resource://calendar/modules/ical.js");

onmessage = function(event) {
    try {
        let comp = ICAL.parse(event.data);
        postMessage({ rc: NS_OK, data: comp });
    } catch (e) {
        postMessage({ rc: NS_ERROR_FAILURE, data: "Exception occurred: " + e });
    }
    close();
};
