
Components.utils.import("resource://calendar/modules/calUtils.jsm");

var scriptLoadOrder = [
    "calIcsImportExport.js",
    "calHtmlExport.js",
    "calOutlookCSVImportExport.js",

    "calListFormatter.js",
    "calMonthGridPrinter.js",
    "calWeekPrinter.js"
];

function getComponents() {
    return [
        calIcsImporter,
        calIcsExporter,
        calHtmlExporter,
        calOutlookCSVImporter,
        calOutlookCSVExporter,

        calListFormatter,
        calMonthPrinter,
        calWeekPrinter
    ];
}

this.NSGetFactory = cal.loadingNSGetFactory(scriptLoadOrder, getComponents, this);
